Bug 232299 - multimedia/kodi-devel: fails to build with WAYLAND=on
Summary: multimedia/kodi-devel: fails to build with WAYLAND=on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: needs-patch
Depends on:
Blocks: 234930
  Show dependency treegraph
 
Reported: 2018-10-15 20:28 UTC by Jan Beich
Modified: 2019-01-14 01:22 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-10-15 20:28:56 UTC

    
Comment 1 Jan Beich freebsd_committer 2018-10-15 20:31:00 UTC
xbmc/windowing/wayland/WindowDecorator.cpp:16:10: fatal error: 'linux/input-event-codes.h' file not found
#include <linux/input-event-codes.h>
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~

build log: https://ptpb.pw/-utl
Comment 2 Tobias Kortkamp freebsd_committer 2018-10-15 21:04:56 UTC
(In reply to Jan Beich from comment #1)
Hmm, WAYLAND support in kodi-devel is something that I only test in my ports
tree fork with an updated v4l_compat that installs more evdev headers too.
This probably means that the GBM option is broken too with the vanilla ports
tree.

I think that this is something that should be fixed in v4l_compat
or by finally committing evdev-proto [1].

Otherwise the solution is probably trivial, i.e. change
<linux/input-event-codes.h> to <dev/evdev/input-event-codes.h> etc.
to use base system evdev headers.

[1] https://reviews.freebsd.org/D7588
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-10-15 22:08:28 UTC
waylandpp a dependency, tries to pull in libwayland-egl.so and libEGL.so. I think USE_GL=egl
should placed under WAYLAND_OFF (or something like that).
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-10-16 01:28:51 UTC
Ok, no problems with waylandpp with the new revision (builds fine).
Comment 5 commit-hook freebsd_committer 2018-10-16 08:22:41 UTC
A commit references this bug:

Author: tobik
Date: Tue Oct 16 08:22:02 UTC 2018
New revision: 482209
URL: https://svnweb.freebsd.org/changeset/ports/482209

Log:
  multimedia/kodi-devel: Unbreak GBM and WAYLAND

  - Disable them on FreeBSD 10 as they are unlikely to work there

  - Make sure the necessary evdev headers can be found

  xbmc/windowing/wayland/WindowDecorator.cpp:16:10: fatal error: 'linux/input-event-codes.h' file not found
  #include <linux/input-event-codes.h>
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~

  - Explicitly link with libpthread and librt to get past the configure
    stage with GBM=on

    /usr/local/lib/libepoll-shim.so: undefined reference to `timer_settime'
    /usr/local/lib/libepoll-shim.so: undefined reference to `timer_delete'
    /usr/local/lib/libepoll-shim.so: undefined reference to `pthread_getthreadid_np'
    /usr/local/lib/libepoll-shim.so: undefined reference to `pthread_create'
    /usr/local/lib/libepoll-shim.so: undefined reference to `timer_create'
    /usr/local/lib/libepoll-shim.so: undefined reference to `timer_getoverrun'

  PR:		232299

Changes:
  head/multimedia/kodi-devel/Makefile
Comment 6 Tobias Kortkamp freebsd_committer 2018-10-16 08:23:54 UTC
Should be fixed. Thanks for reporting!